:root {
  --background: #faf4ed;
  --text: #3b3852;
  --primary: #fffaf3;
  --accent: #183f4e;
  --outline: #cecacd;
}

@media (prefers-color-scheme: dark) {
  :root {
    --background: #191724;
    --text: #e0def4;
    --primary: #1f1d2e;
    --accent: #a0cdde;
    --outline: #524f67;
  }
}

html {
  color-scheme: light dark;
}

body {
  margin: 0;
  font: 1rem/1.6 sans-serif;
  color: var(--text);
  background-color: var(--background);
  letter-spacing: 0.04rem;
}

h1 {
  font-size: 2rem;
}

h2 {
  font-size: 1.7rem;
}

h3 {
  font-size: 1.4rem;
}

h1,
h2,
h3 {
  margin: 0;
  font-weight: 600;
  line-height: 1.3;
}

a {
  color: var(--accent);
  text-decoration-thickness: 2px;
  text-underline-offset: 5px;
}

header {
  padding: 1.5rem 0;
}

nav {
  display: flex;
  justify-content: center;
  column-gap: 5rem;
}

nav a,
.links,
.skills span {
  font-weight: 500;
}

main {
  width: min(60ch, 100% - 3rem);
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  border-block: 1px solid var(--outline);
}

section {
  width: min(100%, 55ch);
  margin-block: 3rem;
}

.about p:last-child {
  margin-bottom: 0;
}

.skills {
  display: flex;
  flex-wrap: wrap;
  gap: 0.8rem;
  margin-top: 1.7rem;
}

.skills span {
  border: 2px solid var(--outline);
  background-color: var(--primary);
  padding: 0.2rem 0.5rem;
  border-radius: 5px;
}

.project-container {
  display: flex;
  flex-direction: column;
  row-gap: 3rem;
  margin-top: 1.7rem
}

.project-container article {
  border: 2px solid var(--outline);
  background-color: var(--primary);
  padding: 2rem;
  border-radius: 5px;
}

.links {
  display: flex;
  column-gap: 1.5rem;
}

footer {
  text-align: center;
  font-size: 0.8rem;
}
